#!/bin/bash

INSTALL_DIR=$(pwd)

# Definiowanie pliku userlist.txt dla pgBouncer
#cat > /etc/pgbouncer/userlist.txt <<EOF
#"postgres" ""
#"edokumenty" ""
#"http" ""
#EOF



# Lista użytkowników do obsługi ograniczenie do 3 użytkowników, zgodnie z wymaganiami
USERS=("postgres" "edokumenty" "http")

# Dla każdego użytkownika pobierz hash hasła i zaktualizuj/utwórz linię
for USER in "${USERS[@]}"; do
	PG_HASH=$(sudo -u postgres psql -tAc "SELECT passwd FROM pg_shadow WHERE usename='${USER}';")
	# Jeśli hash jest pusty, wpisz pusty string
	if [ -z "$PG_HASH" ]; then
		PG_HASH=""
	fi
	echo "\"$USER\" \"$PG_HASH\"" >> /etc/pgbouncer/userlist.txt
done

# Konfiguracja pgBouncer
cat "$INSTALL_DIR/conf/etc/pgbouncer/pgbouncer.ini" > /etc/pgbouncer/pgbouncer.ini

# Poprawienie uprawnień do plików konfiguracyjnych pgBouncer
chmod 640 /etc/pgbouncer/userlist.txt
chmod 640 /etc/pgbouncer/pgbouncer.ini